RData Struct Reference

`#include <ruby.h>`

## Data Fields

struct RBasic | basic
void(* | dmark )(void *)
void(* | dfree )(void *)
void * | data

## Detailed Description

Definition at line 761 of file ruby.h.

## Field Documentation

struct RBasic RData::basic

Definition at line 762 of file ruby.h.

void* RData::data

Definition at line 765 of file ruby.h.

Referenced by make_io_deferred().

void(* RData::dfree)(void *)

Definition at line 764 of file ruby.h.

Referenced by make_io_deferred().

void(* RData::dmark)(void *)

Definition at line 763 of file ruby.h.

Referenced by gc_mark_children().

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h